Page MenuHomePhabricator

Implement Amazon recurring widget client-side
Closed, ResolvedPublic1 Story Points

Description

Add a billing consent widget in order to accept recurring donations via Amazon. Adapt existing client-side code to create a Billing Agreement object instead of an Order Reference object and add the billingAgreementID to the POST sent to the API. This should be conditional on the 'recurring' parameter in the URL.

Event Timeline

Ejegg created this task.Sep 3 2015, 7:10 PM
Ejegg raised the priority of this task from to Needs Triage.
Ejegg updated the task description. (Show Details)
Ejegg added a subscriber: Ejegg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 3 2015, 7:10 PM

Change 243358 had a related patch set uploaded (by Ejegg):
Add 'recurring' switch to mustache forms

https://gerrit.wikimedia.org/r/243358

Change 243359 had a related patch set uploaded (by Ejegg):
Add Amazon recurring widget and front-end logic

https://gerrit.wikimedia.org/r/243359

Ejegg set Security to None.
Ejegg edited a custom field.
Ejegg moved this task from Backlog to Review on the Fundraising Sprint UB40 board.Oct 5 2015, 8:45 PM

Change 243358 merged by jenkins-bot:
Add 'recurring' switch to mustache forms

https://gerrit.wikimedia.org/r/243358

Change 243359 merged by jenkins-bot:
Add Amazon recurring widget and front-end logic

https://gerrit.wikimedia.org/r/243359

awight assigned this task to Ejegg.Oct 6 2015, 5:25 PM
Ejegg closed this task as Resolved.Oct 20 2015, 3:41 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 19 2015, 6:28 PM